package net.sourceforge.iriverter;

import java.io.*;

public class VideoFileFilter implements FilenameFilter {
	public boolean accept(File dir, String name) {
		return accept(new File(dir.toString() + File.separator + name));
	}

	public boolean accept(File file) {
		String name = file.toString();
		return file.isDirectory() || name.endsWith(".avi") || name.endsWith(".vob") || name.endsWith(".mkv") || name.endsWith(".mpg") || name.endsWith(".mpeg") || name.endsWith(".ogm") || name.endsWith(".mov") || name.endsWith(".rm") || name.endsWith(".ram") || name.endsWith(".wmv") || name.endsWith(".asf");
	}
}